rack-devel archive mirror (unofficial) https://groups.google.com/group/rack-devel
 help / color / mirror / code / Atom feed
* can't use POST with 1.0.1 + fastcgi
@ 2010-03-05 20:47 gpg
  2010-03-06 10:26 ` Hongli Lai
  0 siblings, 1 reply; 7+ messages in thread
From: gpg @ 2010-03-05 20:47 UTC (permalink / raw)
  To: Rack Development

Hello,

Sorry to bother you guys, I've been looking for this problem on the
web but can't figure out what it is.

I'm trying to use ruby 1.9.1 + rack 1.0.1 + fastcgi + lighttpd.
Everything works fine EXCEPT posts:

/!\ FAILSAFE /!\  2010-03-05 17:27:03 -0300
  Status: 500 Internal Server Error
  closed stream
    /var/lib/gems/1.9.1/gems/rack-1.0.1/lib/rack/rewindable_input.rb:
86:in `make_rewindable'
    /var/lib/gems/1.9.1/gems/rack-1.0.1/lib/rack/rewindable_input.rb:
26:in `read'
    /var/lib/gems/1.9.1/gems/rack-1.0.1/lib/rack/request.rb:134:in
`POST'
    /var/lib/gems/1.9.1/gems/rack-1.0.1/lib/rack/methodoverride.rb:
15:in `call'
    /var/lib/gems/1.9.1/gems/actionpack-2.3.4/lib/action_controller/
params_parser.rb:15:in `call'
    /var/lib/gems/1.9.1/gems/actionpack-2.3.4/lib/action_controller/
session/cookie_store.rb:93:in `call'
    /var/lib/gems/1.9.1/gems/actionpack-2.3.4/lib/action_controller/
failsafe.rb:26:in `call'
    /var/lib/gems/1.9.1/gems/actionpack-2.3.4/lib/action_controller/
dispatcher.rb:106:in `call'
    /var/lib/gems/1.9.1/gems/rack-1.0.1/lib/rack/content_length.rb:
13:in `call'
    /var/lib/gems/1.9.1/gems/rack-1.0.1/lib/rack/handler/fastcgi.rb:
58:in `serve'
    /var/lib/gems/1.9.1/gems/rails-2.3.4/lib/fcgi_handler.rb:103:in
`block in process_request'
    /var/lib/gems/1.9.1/gems/rails-2.3.4/lib/fcgi_handler.rb:153:in
`with_signal_handler'
    /var/lib/gems/1.9.1/gems/rails-2.3.4/lib/fcgi_handler.rb:101:in
`process_request'
    /var/lib/gems/1.9.1/gems/rails-2.3.4/lib/fcgi_handler.rb:78:in
`block (2 levels) in process_each_request'
    /var/lib/gems/1.9.1/gems/rails-2.3.4/lib/fcgi_handler.rb:77:in
`each'
    /var/lib/gems/1.9.1/gems/rails-2.3.4/lib/fcgi_handler.rb:77:in
`block in process_each_request'
    /var/lib/gems/1.9.1/gems/rails-2.3.4/lib/fcgi_handler.rb:76:in
`catch'
    /var/lib/gems/1.9.1/gems/rails-2.3.4/lib/fcgi_handler.rb:76:in
`process_each_request'
    /var/lib/gems/1.9.1/gems/rails-2.3.4/lib/fcgi_handler.rb:51:in
`process!'
    /var/lib/gems/1.9.1/gems/rails-2.3.4/lib/fcgi_handler.rb:23:in
`process!'

I've tried the patches in this link with no success:
http://www.litespeedtech.com/support/forum/showthread.php?t=3453

Could someone point me a solution?

Thanks in advance.

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: can't use POST with 1.0.1 + fastcgi
  2010-03-05 20:47 can't use POST with 1.0.1 + fastcgi gpg
@ 2010-03-06 10:26 ` Hongli Lai
  2010-07-06 16:57   ` Giorgenes Gelatti
  0 siblings, 1 reply; 7+ messages in thread
From: Hongli Lai @ 2010-03-06 10:26 UTC (permalink / raw)
  To: Rack Development

On Mar 5, 9:47 pm, gpg <giorge...@gmail.com> wrote:
> Hello,
>
> Sorry to bother you guys, I've been looking for this problem on the
> web but can't figure out what it is.
>
> I'm trying to use ruby 1.9.1 + rack 1.0.1 + fastcgi + lighttpd.
> Everything works fine EXCEPT posts:
>
> /!\ FAILSAFE /!\  2010-03-05 17:27:03 -0300
>   Status: 500 Internal Server Error
>   closed stream
>     /var/lib/gems/1.9.1/gems/rack-1.0.1/lib/rack/rewindable_input.rb:
> 86:in `make_rewindable'

It's a bug in Ruby 1.9.1. Try downgrading to an earlier version of
1.9.1 or upgrading to 1.9.2dev.

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: can't use POST with 1.0.1 + fastcgi
  2010-03-06 10:26 ` Hongli Lai
@ 2010-07-06 16:57   ` Giorgenes Gelatti
  2010-07-06 20:32     ` James Tucker
  0 siblings, 1 reply; 7+ messages in thread
From: Giorgenes Gelatti @ 2010-07-06 16:57 UTC (permalink / raw)
  To: rack-devel

[-- Attachment #1: Type: text/plain, Size: 806 bytes --]

Hi,

It seems it hasn't been fixed yet. Is there any way around it?
I'm using ruby 1.9.1p378 (last stable version).

Thank you.

On 6 March 2010 07:26, Hongli Lai <hongli@phusion.nl> wrote:

> On Mar 5, 9:47 pm, gpg <giorge...@gmail.com> wrote:
> > Hello,
> >
> > Sorry to bother you guys, I've been looking for this problem on the
> > web but can't figure out what it is.
> >
> > I'm trying to use ruby 1.9.1 + rack 1.0.1 + fastcgi + lighttpd.
> > Everything works fine EXCEPT posts:
> >
> > /!\ FAILSAFE /!\  2010-03-05 17:27:03 -0300
> >   Status: 500 Internal Server Error
> >   closed stream
> >     /var/lib/gems/1.9.1/gems/rack-1.0.1/lib/rack/rewindable_input.rb:
> > 86:in `make_rewindable'
>
> It's a bug in Ruby 1.9.1. Try downgrading to an earlier version of
> 1.9.1 or upgrading to 1.9.2dev.
>

[-- Attachment #2: Type: text/html, Size: 1272 bytes --]

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: can't use POST with 1.0.1 + fastcgi
  2010-07-06 16:57   ` Giorgenes Gelatti
@ 2010-07-06 20:32     ` James Tucker
  2010-07-06 20:35       ` Giorgenes Gelatti
  0 siblings, 1 reply; 7+ messages in thread
From: James Tucker @ 2010-07-06 20:32 UTC (permalink / raw)
  To: rack-devel

[-- Attachment #1: Type: text/plain, Size: 956 bytes --]


On 6 Jul 2010, at 17:57, Giorgenes Gelatti wrote:

> Hi,
> 
> It seems it hasn't been fixed yet. Is there any way around it?
> I'm using ruby 1.9.1p378 (last stable version).

I believe I added a workaround for this in rack. Try a newer version of rack.

> 
> Thank you.
> 
> On 6 March 2010 07:26, Hongli Lai <hongli@phusion.nl> wrote:
> On Mar 5, 9:47 pm, gpg <giorge...@gmail.com> wrote:
> > Hello,
> >
> > Sorry to bother you guys, I've been looking for this problem on the
> > web but can't figure out what it is.
> >
> > I'm trying to use ruby 1.9.1 + rack 1.0.1 + fastcgi + lighttpd.
> > Everything works fine EXCEPT posts:
> >
> > /!\ FAILSAFE /!\  2010-03-05 17:27:03 -0300
> >   Status: 500 Internal Server Error
> >   closed stream
> >     /var/lib/gems/1.9.1/gems/rack-1.0.1/lib/rack/rewindable_input.rb:
> > 86:in `make_rewindable'
> 
> It's a bug in Ruby 1.9.1. Try downgrading to an earlier version of
> 1.9.1 or upgrading to 1.9.2dev.
> 


[-- Attachment #2: Type: text/html, Size: 1682 bytes --]

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: can't use POST with 1.0.1 + fastcgi
  2010-07-06 20:32     ` James Tucker
@ 2010-07-06 20:35       ` Giorgenes Gelatti
  2010-07-06 20:48         ` James Tucker
  0 siblings, 1 reply; 7+ messages in thread
From: Giorgenes Gelatti @ 2010-07-06 20:35 UTC (permalink / raw)
  To: rack-devel

[-- Attachment #1: Type: text/plain, Size: 1171 bytes --]

On 6 July 2010 17:32, James Tucker <jftucker@gmail.com> wrote:

>
> On 6 Jul 2010, at 17:57, Giorgenes Gelatti wrote:
>
> Hi,
>
> It seems it hasn't been fixed yet. Is there any way around it?
> I'm using ruby 1.9.1p378 (last stable version).
>
>
> I believe I added a workaround for this in rack. Try a newer version of
> rack.
>
>
I'm using rack 1.1.0 with gems 1.3.7 and the problem is still there :(
In what version is it supposed to be fixed?


>
> Thank you.
>
> On 6 March 2010 07:26, Hongli Lai <hongli@phusion.nl> wrote:
>
>> On Mar 5, 9:47 pm, gpg <giorge...@gmail.com> wrote:
>> > Hello,
>> >
>> > Sorry to bother you guys, I've been looking for this problem on the
>> > web but can't figure out what it is.
>> >
>> > I'm trying to use ruby 1.9.1 + rack 1.0.1 + fastcgi + lighttpd.
>> > Everything works fine EXCEPT posts:
>> >
>> > /!\ FAILSAFE /!\  2010-03-05 17:27:03 -0300
>> >   Status: 500 Internal Server Error
>> >   closed stream
>> >     /var/lib/gems/1.9.1/gems/rack-1.0.1/lib/rack/rewindable_input.rb:
>> > 86:in `make_rewindable'
>>
>> It's a bug in Ruby 1.9.1. Try downgrading to an earlier version of
>> 1.9.1 or upgrading to 1.9.2dev.
>>
>
>
>

[-- Attachment #2: Type: text/html, Size: 2334 bytes --]

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: can't use POST with 1.0.1 + fastcgi
  2010-07-06 20:35       ` Giorgenes Gelatti
@ 2010-07-06 20:48         ` James Tucker
  2010-07-06 21:04           ` Giorgenes Gelatti
  0 siblings, 1 reply; 7+ messages in thread
From: James Tucker @ 2010-07-06 20:48 UTC (permalink / raw)
  To: rack-devel

[-- Attachment #1: Type: text/plain, Size: 651 bytes --]


On 6 Jul 2010, at 21:35, Giorgenes Gelatti wrote:

> On 6 July 2010 17:32, James Tucker <jftucker@gmail.com> wrote:
> 
> On 6 Jul 2010, at 17:57, Giorgenes Gelatti wrote:
> 
>> Hi,
>> 
>> It seems it hasn't been fixed yet. Is there any way around it?
>> I'm using ruby 1.9.1p378 (last stable version).
> 
> I believe I added a workaround for this in rack. Try a newer version of rack.
> 
> 
> I'm using rack 1.1.0 with gems 1.3.7 and the problem is still there :(
> In what version is it supposed to be fixed?

http://github.com/rack/rack/commit/dfb8aeaab1a86f3a85e9a514c351e1888b3cff56

Just the repo version right now I believe.

[-- Attachment #2: Type: text/html, Size: 1419 bytes --]

^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: can't use POST with 1.0.1 + fastcgi
  2010-07-06 20:48         ` James Tucker
@ 2010-07-06 21:04           ` Giorgenes Gelatti
  0 siblings, 0 replies; 7+ messages in thread
From: Giorgenes Gelatti @ 2010-07-06 21:04 UTC (permalink / raw)
  To: rack-devel

[-- Attachment #1: Type: text/plain, Size: 808 bytes --]

On 6 July 2010 17:48, James Tucker <jftucker@gmail.com> wrote:

>
> On 6 Jul 2010, at 21:35, Giorgenes Gelatti wrote:
>
> On 6 July 2010 17:32, James Tucker <jftucker@gmail.com> wrote:
>
>>
>> On 6 Jul 2010, at 17:57, Giorgenes Gelatti wrote:
>>
>> Hi,
>>
>> It seems it hasn't been fixed yet. Is there any way around it?
>> I'm using ruby 1.9.1p378 (last stable version).
>>
>>
>> I believe I added a workaround for this in rack. Try a newer version of
>> rack.
>>
>>
> I'm using rack 1.1.0 with gems 1.3.7 and the problem is still there :(
> In what version is it supposed to be fixed?
>
>
> http://github.com/rack/rack/commit/dfb8aeaab1a86f3a85e9a514c351e1888b3cff56
>
> Just the repo version right now I believe.
>

I've tested this patch on my 1.1.0 installation and it worked perfectly.
Thanks a lot!!

[-- Attachment #2: Type: text/html, Size: 1773 bytes --]

^ permalink raw reply	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2010-07-06 21:04 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2010-03-05 20:47 can't use POST with 1.0.1 + fastcgi gpg
2010-03-06 10:26 ` Hongli Lai
2010-07-06 16:57   ` Giorgenes Gelatti
2010-07-06 20:32     ` James Tucker
2010-07-06 20:35       ` Giorgenes Gelatti
2010-07-06 20:48         ` James Tucker
2010-07-06 21:04           ` Giorgenes Gelatti

Code repositories for project(s) associated with this inbox:

	https://80x24.org/mirrors/rack.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).